org.keycloak.storage.ldap.mappers.membership.role

## Class RoleMapperConfig

- java.lang.Object
- - org.keycloak.storage.ldap.mappers.membership.CommonLDAPGroupMapperConfig
  - - org.keycloak.storage.ldap.mappers.membership.role.RoleMapperConfig

-     public class RoleMapperConfig
      extends CommonLDAPGroupMapperConfig

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLIENT_ID`
    `static String` | `GET_ROLES_FROM_USER_MEMBEROF_ATTRIBUTE`
    `static String` | `LOAD_ROLES_BY_MEMBER_ATTRIBUTE`
    `static String` | `LOAD_ROLES_BY_MEMBER_ATTRIBUTE_RECURSIVELY`
    `static String` | `ROLE_NAME_LDAP_ATTRIBUTE`
    `static String` | `ROLE_OBJECT_CLASSES`
    `static String` | `ROLES_DN`
    `static String` | `ROLES_LDAP_FILTER`
    `static String` | `USE_REALM_ROLES_MAPPING`

    - ### Fields inherited from class org.keycloak.storage.ldap.mappers.membership.CommonLDAPGroupMapperConfig

      `mapperModel, MEMBEROF_LDAP_ATTRIBUTE, MEMBERSHIP_ATTRIBUTE_TYPE, MEMBERSHIP_LDAP_ATTRIBUTE, MEMBERSHIP_USER_LDAP_ATTRIBUTE, MODE, USER_ROLES_RETRIEVE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleMapperConfig(ComponentModel mapperModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClientId()`
    `String` | `getCustomLdapFilter()`
    `String` | `getLDAPGroupNameLdapAttribute()`
    `String` | `getLDAPGroupsDn()`
    `String` | `getRoleNameLdapAttribute()`
    `Collection<String>` | `getRoleObjectClasses(LDAPStorageProvider ldapProvider)`
    `String` | `getRolesDn()`
    `String` | `getUserRolesRetrieveStrategy()`
    `boolean` | `isRealmRolesMapping()`

    - ### Methods inherited from class org.keycloak.storage.ldap.mappers.membership.CommonLDAPGroupMapperConfig

      `getConfigValues, getMemberOfLdapAttribute, getMembershipLdapAttribute, getMembershipTypeLdapAttribute, getMembershipUserLdapAttribute, getMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROLES_DN

          public static final String ROLES_DN

      See Also:
        Constant Field Values

    - #### ROLE_NAME_LDAP_ATTRIBUTE

          public static final String ROLE_NAME_LDAP_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ROLE_OBJECT_CLASSES

          public static final String ROLE_OBJECT_CLASSES

      See Also:
        Constant Field Values

    - #### USE_REALM_ROLES_MAPPING

          public static final String USE_REALM_ROLES_MAPPING

      See Also:
        Constant Field Values

    - #### CLIENT_ID

          public static final String CLIENT_ID

      See Also:
        Constant Field Values

    - #### ROLES_LDAP_FILTER

          public static final String ROLES_LDAP_FILTER

      See Also:
        Constant Field Values

    - #### LOAD_ROLES_BY_MEMBER_ATTRIBUTE

          public static final String LOAD_ROLES_BY_MEMBER_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### GET_ROLES_FROM_USER_MEMBEROF_ATTRIBUTE

          public static final String GET_ROLES_FROM_USER_MEMBEROF_ATTRIBUTE

      See Also:
        Constant Field Values

    - #### LOAD_ROLES_BY_MEMBER_ATTRIBUTE_RECURSIVELY

          public static final String LOAD_ROLES_BY_MEMBER_ATTRIBUTE_RECURSIVELY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RoleMapperConfig

          public RoleMapperConfig(ComponentModel mapperModel)

  - ### Method Detail

    - #### getRolesDn

          public String getRolesDn()

    - #### getLDAPGroupsDn

          public String getLDAPGroupsDn()

      Specified by:
        `getLDAPGroupsDn` in class `CommonLDAPGroupMapperConfig`

    - #### getRoleNameLdapAttribute

          public String getRoleNameLdapAttribute()

    - #### getLDAPGroupNameLdapAttribute

          public String getLDAPGroupNameLdapAttribute()

      Specified by:
        `getLDAPGroupNameLdapAttribute` in class `CommonLDAPGroupMapperConfig`

    - #### getRoleObjectClasses

          public Collection<String> getRoleObjectClasses(LDAPStorageProvider ldapProvider)

    - #### getCustomLdapFilter

          public String getCustomLdapFilter()

    - #### isRealmRolesMapping

          public boolean isRealmRolesMapping()

    - #### getClientId

          public String getClientId()

    - #### getUserRolesRetrieveStrategy

          public String getUserRolesRetrieveStrategy()

Copyright © 2021 JBoss by Red Hat. All rights reserved.